public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test_construct/
Date: Fri, 31 May 2019 04:44:28 +0000 (UTC)	[thread overview]
Message-ID: <1559275953.c2541b94f6d9834643cf76c2d8669bf1fdecd307.graaff@gentoo> (raw)

commit:     c2541b94f6d9834643cf76c2d8669bf1fdecd307
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Fri May 31 04:12:33 2019 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Fri May 31 04:12:33 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2541b94

dev-ruby/test_construct: add 2.0.2

Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>
Package-Manager: Portage-2.3.66, Repoman-2.3.11

 dev-ruby/test_construct/Manifest                   |  1 +
 .../test_construct/test_construct-2.0.2.ebuild     | 28 ++++++++++++++++++++++
 2 files changed, 29 insertions(+)

diff --git a/dev-ruby/test_construct/Manifest b/dev-ruby/test_construct/Manifest
index ef54db1a618..4b58575f613 100644
--- a/dev-ruby/test_construct/Manifest
+++ b/dev-ruby/test_construct/Manifest
@@ -1 +1,2 @@
 DIST test_construct-2.0.1.gem 13312 BLAKE2B cda8bec1e1fe343ae506c73bf480a982fdd1224da1e77ab19827a3b76dba57294397d811040448cef6956c8492c9c5cb618d204834d31b54e8619b3d224da20c SHA512 c9898beb04d23974dc5b66a9d7bb4a77cd040cc63b724108c4fc4b81f0680d23a9e09b96110c1b5458107d0c2c8714cbed8b2e81611eef8ca7fab92b31014e98
+DIST test_construct-2.0.2.gem 13312 BLAKE2B e1a5068e8133f739dfc407e943b0486c0c2bb2a8f18943a23b366205b206a56b792630daad7a92a021ea367d490b117aec1313faa0e5360bf6b984df3b82c16c SHA512 d73e2daf5c5974c79aedfcd7e1cd6681a3f1f6fe3f2c68bcde26690a18be920ea53b648407e4ee33444364b2a02f1517362c876e703abad02fc528a47de092ff

diff --git a/dev-ruby/test_construct/test_construct-2.0.2.ebuild b/dev-ruby/test_construct/test_construct-2.0.2.ebuild
new file mode 100644
index 00000000000..dd4b939f5a6
--- /dev/null
+++ b/dev-ruby/test_construct/test_construct-2.0.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Creates temporary files and directories for testing"
+HOMEPAGE="https://github.com/bhb/test_construct"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? (
+	>=dev-ruby/minitest-5.0.8
+	>=dev-ruby/mocha-0.14.0
+	dev-ruby/rspec:3
+)"
+
+all_ruby_prepare() {
+	sed -i -e '/bundler/ s:^:#:' Rakefile || die
+}


             reply	other threads:[~2019-05-31  4:44 UTC|newest]

Thread overview: 28+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-05-31  4:44 Hans de Graaff [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-01-03  7:04 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/test_construct/ Hans de Graaff
2023-08-13  5:22 Hans de Graaff
2023-04-07 18:25 Sam James
2023-03-22  3:25 Sam James
2022-12-30  8:00 Hans de Graaff
2022-12-18  9:27 Sam James
2022-12-18  9:27 Sam James
2022-12-18  9:18 Sam James
2022-06-19  8:24 Agostino Sarubbo
2022-06-19  8:15 Agostino Sarubbo
2022-06-19  8:14 Agostino Sarubbo
2022-04-17  6:57 Hans de Graaff
2022-04-17  6:57 Hans de Graaff
2021-11-26  6:31 Hans de Graaff
2021-11-08  2:51 Yixun Lan
2021-10-31 18:03 Sam James
2021-10-10 21:48 Sam James
2020-07-27  2:09 Sam James
2020-07-25  5:32 Hans de Graaff
2020-07-12  6:22 Hans de Graaff
2019-01-15  6:02 Hans de Graaff
2018-07-04 20:56 Hans de Graaff
2017-08-23  6:14 Hans de Graaff
2017-07-18  6:45 Hans de Graaff
2017-07-18  6:45 Hans de Graaff
2016-10-29 15:03 Manuel Rüger
2016-03-23  6:16 Hans de Graaff

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1559275953.c2541b94f6d9834643cf76c2d8669bf1fdecd307.graaff@gentoo \
    --to=graaff@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox